Katello - Bug #6551

roles: Ul neither raise any error not adds the content-hosts to selected collection via a normal user
07/09/2014 01:42 PM - Walden Raines

Status: Closed
Priority: Normal
Assignee: Walden Raines
Category: Web Ul
Target version: Katello 2.0
Difficulty: easy Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1112644 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/441
3
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1112644

Description of problem:

| was trying to manage host-collections via a normal user. | created a user and assigned all required perms. So user was able to
create collection but not able to add selected content-hosts to it. Content-hosts were listed under host-collection. when | clicked
add-selected, nothing happened on Ul, neither the validation error raised on Ul nor content-host was added to collection.

Version-Release number of selected component (if applicable):
sat6 beta snap10 compose2

How reproducible:
always

Steps to Reproduce:

1. create a role with perms as mentioned in screenshot

2. create few dummy content-host

2. assign that role to a user

3. login with user and try to add created content-hosts to host-collection

Actual results:
Ul neither raised any error not add the selected hosts to host-collection

Expected results:
In any case, this situation is very confusing, because neither | get 403 forbidden message nor | was able to add hosts to
host-collection.

If I'm missing any permission then a error should be raised that user is not authorized.

Additional info:

Associated revisions

Revision f8¢9851fd - 07/09/2014 05:23 PM - Walden Raines
Fixes #6551/BZ1112644: show add/remove content hosts if user able
The permissions that show and hide the Ul for adding/removing

content hosts to/from a host collection were incorrect. This commit
fixes those permissions.

http://projects.theforeman.org/issues/6551
https://bugzilla.redhat.com/show_bug.cgi?id=1112644

Revision 46897f92 - 07/09/2014 05:23 PM - Walden Raines
Fixes #6551/BZ1112644: show add/remove content hosts if user able

The permissions that show and hide the Ul for adding/removing
https://bugzilla.redhat.com/show_bug.cgi?id=1112644
content hosts to/from a host collection were incorrect. This commit
fixes those permissions.

http://projects.theforeman.org/issues/6551
https://bugzilla.redhat.com/show_bug.cgi?id=1112644

Revision 714ecd94 - 07/11/2014 02:36 PM - Walden Raines
Merge pull request #4413 from waldenraines/6551

Fixes #6551/BZ1112644: show add/remove content hosts if user able

Revision 71c8a130 - 07/11/2014 02:36 PM - Walden Raines
Merge pull request #4413 from waldenraines/6551

Fixes #6551/BZ1112644: show add/remove content hosts if user able

History

#1 - 07/09/2014 03:31 PM - Walden Raines

- Status changed from New to Assigned

#2 - 07/09/2014 03:55 PM - Walden Raines

- Status changed from Assigned to Closed

In order to add content hosts to a host collection you must have the permission "edit_content_host" for the content host you wish to add to the host
collection as well as the permission "edit_host_collection" for the host collection you are adding the content host to.

If we you to have both permissions then you would be able to gain an implicit "edit_content_hosts" for a content host by adding the content host to a
host collection since you could then perform bulk actions on the content host.

#3 - 07/09/2014 03:56 PM - Walden Raines

- Status changed from Closed to Assigned

Will ensure a 403 message is displayed in this case.

#4 - 07/09/2014 05:06 PM - Walden Raines
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4413

#5 - 07/10/2014 10:39 AM - Eric Helms
- Category set to Web Ul

- Target version set to 49

- Difficulty set to easy

- Triaged changed from No to Yes

#6 - 07/11/2014 02:36 PM - The Foreman Bot
- Pull request https://github.com/Katello/katello/pull/4413 added
- Pull request deleted ()

#7 - 07/11/2014 03:01 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|f8c985fdb76a6224770199423f4b575¢c850cc0c6.

#8 - 08/22/2014 09:01 AM - Eric Helms

- translation missing: en.field_release set to 13
